/*
 * 2D Physic Engine
 * app.h: 
 * Based on pikuma.com Learn Game Physics Engine Programming course.
 * Copyright (c) 2022 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 07/06/2022.
 */

#ifndef PHYSICENGINE_APP_H
#define PHYSICENGINE_APP_H

#include <physics/particle.h>

class application
{
private:
    bool running;
    particle *part;

public:
    application() : running(false) {};
    ~application() = default;

    void parseParameters(int argc, char *argv[]);
    bool isRunning() { return this->running; }

    void setup();
    void input();
    void update();
    void render();
    void destroy();
};

#endif /* PHYSICENGINE_APP_H */
