/*
 * 2D Physic Engine
 * particle.h:
 * Based on pikuma.com Learn Game Physics Engine Programming course.
 * Copyright (c) 2022 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 07/06/2022.
 */

#ifndef PHYSICENGINE_PHYSICS_PARTICLE_H
#define PHYSICENGINE_PHYSICS_PARTICLE_H

#include <physics/vec2.h>

class particle
{
public:
    vec2 position;
    vec2 acceleration;
    vec2 velocity;

    double mass;

public:
    particle(double x, double y, double mass): position(x, y), mass(mass) {};
    ~particle() = default;
};

#endif /* PHYSICENGINE_PHYSICS_PARTICLE_H */
